<!DOCTYPE html>
<html lang="en">

<head>
  <%-include('base/head.ejs')-%>
  <title>User profile form requirement</title>
  <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha256-3dkvEK0WLHRJ7/Csr0BZjAWxERc5WH7bdeUya2aXxdU= sha512-+L4yy6FRcDGbXJ9mPG8MT/3UCDzwR9gPeyFNMCtInsol++5m3bk2bXWKdZjvybmohrAsn3Ua5x8gfLnbE1YkOg=="
    crossorigin="anonymous">
  <!-- Bootstrap Core CSS -->
  <!--     <link href="css/bootstrap.min.css" rel="stylesheet"> -->
  <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet" integrity="sha256-7s5uDGW3AHqw6xtJmNNtr+OBRJUlgkNJEo78P4b0yRw= sha512-nNo+yCHEyn0smMxSswnf/OnX6/KwJuZTlNZBjauKhTK0c+zT+q5JOCx0UFhXQ6rJR9jg6Es8gPuD2uZcYDLqSw=="
    crossorigin="anonymous">
  <!-- Custom CSS -->
  <style>
    body {
        padding-top: 70px;
        /* Required padding for .navbar-fixed-top. Remove if using .navbar-static-top. Change if height of navigation changes. */
    }
    .othertop{margin-top:10px;}
    </style>
  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body>
  <header id="header" id="home">
    <div class="container">
      <div class="row align-items-center justify-content-center d-flex">
        <%- include('base/navbar.ejs')-%>
        <!-- #nav-menu-container -->
      </div>
    </div>
  </header>
  <div class="container">
    <div class="row">
      <div class="col-md-10 ">
        <form class="form-horizontal" method="POST">
          <fieldset>
            <!-- Form Name -->
            <legend>User's information</legend>
            <!-- Text input-->
            <div class="form-group">
              <label class="col-md-4 control-label" for="Fname">First name</label>
              <div class="col-md-4">
                <div class="input-group">
                  <div class="input-group-addon">
                    <i class="fa fa-user">
                    </i>
                  </div>
                  <input id="Fname" name="Fname" type="text" placeholder="First" class="form-control input-md">
                </div>
              </div>
            </div>
            <!-- Text input -->
            <div class="form-group">
              <label class="col-md-4 control-label" for="Lname">Last name</label>
              <div class="col-md-4">
                <div class="input-group">
                  <div class="input-group-addon">
                    <i class="fa fa-user">
                    </i>
                  </div>
                  <input id="Lname" name="Lname" type="text" placeholder="Last" class="form-control input-md">
                </div>
              </div>
            </div>
            <!-- Multiple Radios (inline) -->
            <div class="form-group">
              <label class="col-md-4 control-label" for="Gender">Gender</label>
              <div class="col-md-4">
                <label class="radio-inline" for="Gender-0">
                  <input type="radio" name="Gender" id="Gender-0" value="Male">
                  Male
                </label>
                <label class="radio-inline" for="Gender-1">
                  <input type="radio" name="Gender" id="Gender-1" value="Female">
                  Female
                </label>
              </div>
            </div>
            <div class="form-group">
              <label class="col-md-4 control-label col-xs-12" for="">Height(cm)/Weight(kg)</label>
              <div class="col-md-2  col-xs-4">
                <input id="height-weight" name="Height" type="text" placeholder="Height" class="form-control input-md ">
              </div>
              <div class="col-md-2 col-xs-4">
                <input id="height-weight" name="Weight" type="text" placeholder="Weight" class="form-control input-md ">
              </div>
            </div>
            <div class="form-group">
              <label class="col-md-4 control-label" for="Age">Age</label>
              <div class="col-md-4">
                <div class="input-group">
                  <div class="input-group-addon">
                    <i class="fa fa-user">
                    </i>
                  </div>
                  <input id="Age" name="Age" type="text" placeholder="Age" class="form-control input-md">
                </div>
              </div>
            </div>
            <!-- Multiple Checkboxes -->
            <div class="form-group">
              <label class="col-md-4 control-label" for="active">How active are you?</label>
              <div class="col-md-4">
                <label class="radio" for="Active-0">
                  <input type="radio" name="active" id="Active-0" value="0">
                  No or little excercises
                </label>
                <label class="radio" for="Gender-1">
                  <input type="radio" name="active" id="Active-1" value="1">
                  Train 1-3 days per week
                </label>
                <label class="radio" for="Gender-2">
                  <input type="radio" name="active" id="Active-2" value="2">
                  Train 3-5 days per week
                </label>
                <label class="radio" for="Gender-3">
                  <input type="radio" name="active" id="Active-3" value="3">
                  Train 6-7 days per week
                </label>
                <label class="radio" for="Gender-4">
                  <input type="radio" name="active" id="Active-4" value="4">
                  Over 7 times per week
                </label>
              </div>
            </div>
            <div class="form-group">
              <label class="col-md-4 control-label"></label>
              <div class="col-md-4">
                <button class="btn btn-submit" type="submit">Submit</button>
              </div>
            </div>
          </fieldset>
        </form>
      </div>
    </div>
  </div>
  <%-include('base/footer.ejs')-%>
  <!-- jQuery Version 1.11.1 -->
  <script src="js/jquery.js"></script>
  <!-- Bootstrap Core JavaScript -->
  <script src="js/bootstrap.min.js"></script>
  <script>
    function BMICal() {
      var height = parseFloat(document.getElementById("h").innerHTML);
      var weight = parseFloat(document.getElementById("w").innerHTML);
      console.log(height);
      console.log(weight);
      var heightToM = parseFloat(height / 100);

      var BMI = parseFloat(weight / Math.pow(heightToM, 2));
      console.log(BMI);
      document.getElementById("BMI-output").innerHTML = Math.round(BMI * 100) / 100;
      if (BMI < 18.5) document.getElementById("comment").innerHTML = "Underweight";
      if (BMI >= 18.5 && BMI <= 25) document.getElementById("comment").innerHTML = "Normal";
      if (BMI >= 25 && BMI <= 30) document.getElementById("comment").innerHTML = "Obese";
      if (BMI > 30) document.getElementById("comment").innerHTML = "Overweight";
    }
  </script>
</body>

</html>